' <clown-build> vbc /debug+ Touch.vb </clown-build>

Option Strict On

Imports System
Imports System.IO

Namespace Touchy

Public Module M

    Public Sub Main(ByVal args() As String)
        If args.Length <> 1 Then
            Console.WriteLine("Syntax:")
            Console.WriteLine("    Touch <file-pattern>")
            Exit Sub
        End If
        Try
            Dim sDir As String = Environment.CurrentDirectory
            Dim sPattern As String = args(0)
            Dim iSlash As Integer = args(0).LastIndexOf("\")
            If iSlash > 0 Then
                Dim sRelPath As String = args(0).Substring(0, iSlash)
                sDir = Path.Combine(sDir, sRelPath)
                sPattern = args(0).Substring(iSlash + 1)
            End If
            Dim di As New DirectoryInfo(sDir)
            Dim fi As FileInfo, files() As FileInfo = di.GetFiles(sPattern)
            For Each fi In files
                fi.LastWriteTime = DateTime.Now
                Console.WriteLine(fi.Name)
            Next fi
        Catch ex As Exception
            Console.Writeline(ex)
        End Try
    End Sub

End Module

End Namespace

