' <clown> vbc Netty.vb </clown>

Option Strict On

Imports System

Namespace Netty

Public Module M

    Private Declare Ansi Function WNetAddConnection Lib "mpr.dll" Alias "WNetAddConnectionA" (ByVal lpszNetPath As String, ByVal lpszPassword As String, ByVal lpszLocalName As String) As Integer
    Private Declare Ansi Function WNetCancelConnection Lib "mpr.dll" Alias "WNetCancelConnectionA" (ByVal lpszName As String, ByVal bForce As Boolean) As Integer

    Public Sub Main(ByVal args() As String)

        If args.Length < 1 Then
            Console.WriteLine("Netty - .NET net drives mapper")
            Console.WriteLine("Syntax:")
            Console.WriteLine("    Netty <drive-letter> [<net-path>]")
            Console.WriteLine("    // skip path to unmap")
            Exit Sub
        End If

        If Not args(0).EndsWith(":") Then
            args(0) = args(0) & ":"
        End If

        If args.Length > 1 Then
            WNetAddConnection(args(1), Nothing, args(0))
        Else
            WNetCancelConnection(args(0), True)
        End If

    End Sub

End Module

End Namespace
